Bug 440674 - rt61pci wireless locks up on boot under kernel 2.6.24.4-64.fc8
rt61pci wireless locks up on boot under kernel 2.6.24.4-64.fc8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 09:41 EDT by Patrick Sefton
Modified: 2008-04-19 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.24.4-69.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 13:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel messages output (3.06 KB, text/plain)
2008-04-07 02:57 EDT, Daryl Gray
no flags Details

  None (edit)
Description Patrick Sefton 2008-04-04 09:41:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
After updating from 2.6.24.3-50.fc8 to 2.6.24.4-64.fc8, rt61pci based wireless driver locks up during boot (machine locks-up after displaying "Bringing up interface wlan0" during boot).

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Update to 2.6.24.4-64 kernel
2. Reboot
3. Boot locks on bringin up wlan0

Actual Results:
Boot process locked

Expected Results:
Normal boot

Additional info:
Comment 1 Patrick Sefton 2008-04-05 03:39:31 EDT
kernel-2.6.24.4-74.fc8 fixes this for me.
Thanks,
Patrick.
Comment 2 Daryl Gray 2008-04-07 02:57:50 EDT
Created attachment 301470 [details]
kernel messages output

Similar bug for rt2500pci. kernel.x86_64 2.6.24.4-64.fc8, duel core athlon 64
5600 stepping 2 4Gb Duel DDR2 ram. Turn off "activate at boot" for wlan0 and
the kernel boots normally. When you ifup wlan0 after boot CPU#1 hangs like it's
stuck in a loop. See attatchment fo a repeated message in messages.
Comment 3 John W. Linville 2008-04-17 13:54:40 EDT
Daryl, please update to a later kernel:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=46436
Comment 4 Milan Kerslager 2008-04-19 06:13:57 EDT
Confirming 2.6.24.4-84.fc8 to be a working version. Thank you.

Note You need to log in before you can comment on or make changes to this bug.